<bugID>464578<Summary>All tabs panel doesn't focus the preview of the currently open tab anymore</Summary><Description>Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1b2pre) Gecko/20081112 Minefield/3.1b2pre ID:20081112034733

After a discussion on IRC I decided to file a new bug on that issue because it's a visual flaw which will probably confuse a lot of people. What will users expect to see when clicking on the all tabs button? A preview of all the open tabs? That's true. But which tab preview should be focused initially? In my opinion it's the one of the currently open tab. Means everyone can see very easily which tab is open at the moment.

That differs from the way we are handling it at the moment. With the latest check-in on bug 436304 we initially select the next tab in the list. That is odd because it doesn't give the feedback I mentioned above. Clicking on all tabs doesn't mean the user want to switch tabs.

Do we have a mockup of how all tabs should initially work?</Description></bugID>